#include "HelloClick.h"
#include "TApplication.h"

//__________________________________________________________________
HelloClick::HelloClick(QWidget* parent)
: QFrame(parent)
{
   setupUi(this);
   init();
}
//__________________________________________________________________
void HelloClick::init()
{
#if ROOT_VERSION_CODE >= ROOT_VERSION(5,16,0)
// Make sure the ROOT graphical layer is initialised.
static struct needgraph {   needgraph () {  TApplication::NeedGraphicsLibs() ;  gApplication->InitializeGraphics();} }  needgraph;
#endif

   fDynamicExecWidget->GetCanvas()->SetName("c2");
   DynamicSlice();
   connect(fDynamicSliceWidget,SIGNAL(RootEventProcessed(TObject *, unsigned int, TCanvas *))
         ,this,   SLOT(DynamicExec(TObject *, unsigned int, TCanvas *)));
   fDynamicSliceWidget->EnableSignalEvents(kMousePressEvent);
}
